[Rubygems-developers] Deprecating gems

Gavin Sinclair gsinclair at soyabean.com.au
Sat Apr 16 21:33:48 EDT 2005


On the rails list, some confusion has permeated surrounding the wad of
gems surrounding sqlite.  The main problem is that one of them is
deprecated.

I suggested to Jamis that he update the description of the deprecated
one ("sqlite") which informs the user that it's deprecated and they
should use sqlite-ruby or sqlite3-ruby instead.

As far as I'm concerned, that's a sufficient solution.  Just thought
I'd mention the issue here, though, in case someone thinks an explicit
way of deprecating gems is a useful idea.

Cheers,
Gavin



More information about the Rubygems-developers mailing list